XmVaCreateToggleButtonGadget(library call)

NAME
XmVaCreateToggleButtonGadget, XmVaCreateManagedToggleButtonGadget — A ToggleButtonGadget widget convenience creation functions.

SYNOPSIS

#include <Xm/ToggleBG.h>

Widget XmVaCreateToggleButtonGadget(
Widget parent,
String name,
...);

Widget XmVaCreateManagedToggleButtonGadget(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a ToggleButtonGadget widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateToggleButtonGadget function is a convenience routine that calls XtCreateWidget.

The XmVaCreateToggleButtonGadget function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of ToggleButtonGadget and its associated resources, see XmToggleButtonGadget(3).

RETURN

Returns the ToggleButtonGadget widget ID.

RELATED

XmToggleButtonGadget(3), XmCreateToggleButtonGadget(3), XtCreateWidget(3), and XtCreateManagedWidget(3).